# config/services.yaml

services:
    _defaults:
        autowire: true
        autoconfigure: true

    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    # Processeurs personnalisés
    App\StateProcessor\SaleProcessor:
        arguments:
            $entityManager: '@doctrine.orm.entity_manager'
            $persistProcessor: '@api_platform.doctrine.orm.state.persist_processor'

    App\StateProcessor\SupplyProcessor:
        arguments:
            $entityManager: '@doctrine.orm.entity_manager'
            $persistProcessor: '@api_platform.doctrine.orm.state.persist_processor'